Last Comment Bug 629678 - Domain search in Data Manager works wrongly with IDN
: Domain search in Data Manager works wrongly with IDN
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Passwords & Permissions (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Robert Kaiser (not working on stability any more)
:
Mentors:
Depends on: DataManager 591324
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-28 07:59 PST by Robert Kaiser (not working on stability any more)
Modified: 2011-02-02 04:10 PST (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
search in the display title instead of the raw domain name (3.21 KB, patch)
2011-01-28 08:10 PST, Robert Kaiser (not working on stability any more)
iann_bugzilla: review+
Details | Diff | Review

Description Robert Kaiser (not working on stability any more) 2011-01-28 07:59:32 PST
In the IDN patch for Data Manager, I missed that domain search also needs to use the display name and not the punycode name to search in.

Right now, e.g. having wählt.at in the list (you get that by simply accessing www.wählt.at and accept the cookie this site of mine sets), searching for "xn--" or "whlt" brings it up, but searching for "ä" or "wäh" doesn't.

I have a local fix and test for this.
Comment 1 Robert Kaiser (not working on stability any more) 2011-01-28 08:10:02 PST
Created attachment 507869 [details] [diff] [review]
search in the display title instead of the raw domain name

This patch should do it, including tests.
Comment 2 Robert Kaiser (not working on stability any more) 2011-01-31 05:52:54 PST
Thanks, pushed as http://hg.mozilla.org/comm-central/rev/9119b75aab6a

Note You need to log in before you can comment on or make changes to this bug.